org.apache.ignite.internal.util.ipc.shmem

## Class IpcSharedMemoryInputStream

- java.lang.Object
- - java.io.InputStream
  - - org.apache.ignite.internal.util.ipc.shmem.IpcSharedMemoryInputStream

All Implemented Interfaces:
  Closeable, AutoCloseable

    public class IpcSharedMemoryInputStream
    extends InputStream

### Constructor Summary

Constructors
Constructor and Description
`IpcSharedMemoryInputStream(IpcSharedMemorySpace in)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `available()`
`void` `close()`
`void` `forceClose()` Forcibly closes spaces and frees all system resources.
`int` `read()`
`int` `read(byte[] b, int off, int len)`
`String` `toString()`

### Methods inherited from class java.io.InputStream

`mark, markSupported, read, reset, skip`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IpcSharedMemoryInputStream

    public IpcSharedMemoryInputStream(IpcSharedMemorySpace in)

Parameters:
  `in` - Space.

### Method Detail

#### read

    public int read()
             throws IOException

Specified by:
  `read` in class `InputStream`
Throws:
  `IOException`

#### read

    public int read(byte[] b,
                    int off,
                    int len)
             throws IOException

Overrides:
  `read` in class `InputStream`
Throws:
  `IOException`

#### available

    public int available()
                  throws IOException

Overrides:
  `available` in class `InputStream`
Throws:
  `IOException`

#### close

    public void close()
               throws IOException

Specified by:
  `close` in interface `Closeable`
Specified by:
  `close` in interface `AutoCloseable`
Overrides:
  `close` in class `InputStream`
Throws:
  `IOException`

#### forceClose

    public void forceClose()

Forcibly closes spaces and frees all system resources.

This method should be called with caution as it may result to the other-party process crash. It is intended to call when there was an IO error during handshake and other party has not yet attached to the space.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.10.0
Release Date | : March 10 2021